BLOCKMODE(l)

NAME
blockmode - filter to block average (x,y,z) data by mode estimation.

SYNOPSIS
blockmode [ xyz[w]file(s) ] -Ix_inc[m|c][/y_inc[m|c]] -Rwest/east/south/north[r] [ -C ] [ -F ] [ -H[nrec] ] [ -L ] [ -Q ] [ -V ] [ -W[io] ] [ -: ] [ -bi[s][n] ] [ -bo[s][n] ]

DESCRIPTION
blockmode reads arbitrarily located (x,y,z) triples [or optionally weighted quadruples (x,y,z,w)] from standard input [or xyz[w]file(s)] and writes to standard output mode estimates of position and value for every non-empty block in a grid region defined by the -R and -I arguments. Either blockmean, blockmedian, or blockmode should be used as a pre-processor before running surface to avoid aliasing short wavelengths. These routines are also generally useful for decimating or averaging (x,y,z) data. You can modify the precision of the output format by editing the D_FORMAT parameter in your .gmtdefaults file, or you may choose binary input and/or output using single or double precision storage.

xyz[w]file(s)
    3 [or 4] column ASCII file(s) [or binary, see -b] holding (x,y,z[,w]) data values. [w] is an optional weight for the data. If no file is specified, blockmode will read from standard input.

-I  x_inc [and optionally y_inc] is the grid spacing. Append m to indicate minutes or c to indicate seconds.

-R  west, east, south, and north specify the Region of interest. To specify boundaries in degrees and minutes [and seconds], use the dd:mm[:ss] format. Append r if lower left and upper right map coordinates are given instead of wesn.

OPTIONS

-C  Use the center of the block as the output location [Default uses the modal xy location (but see -Q)]. -C overrides -Q.

-F  Block centers have pixel registration. [Default: grid registration.] (Registrations are defined in GMT Cookbook Appendix B on grid file formats.) Each block is the locus of points nearest the grid value location. For example, with -R10/15/10/15 and and -I1: with the -F option 10 <= (x,y) < 11 is one of 25 blocks; without it 9.5 <= (x,y) < 10.5 is one of 36 blocks.

-H  Input file(s) has Header record(s). Number of header records can be changed by editing your .gmtdefaults file. If used, GMT default is 1 header record. Not used with binary data.

-L  Indicates that the x column contains longitudes, which may differ from the region in -R by [multiples of] 360 degrees [Default assumes no periodicity].

-Q  (Quicker) Finds mode z and mean (x, y) [Default finds mode x, mode y, mode z].

-V  Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].

-W  Weighted modifier[s]. Unweighted input and output has 3 columns x,y,z; Weighted i/o has 4 columns x,y,z,w. Weights can be used in input to construct weighted modal values in blocks. Weight sums can be reported in output for later combining several runs, etc. Use -W for weighted i/o, -Wi for weighted input only, -Wo for weighted output only. [Default uses unweighted i/o]

-:  Toggles between (longitude,latitude) and (latitude,longitude) input/output. [Default is (longitude,latitude)]. Applies to geographic coordinates only.

-bi Selects binary input. Append s for single precision [Default is double]. Append n for the number of columns in the binary file(s). [Default is 3 (or 4 if -W is set) columns].

-bo Selects binary output. Append s for single precision [Default is double].

EXAMPLES
To find 5 by 5 minute block mode estimates from the double precision binary data in hawaii_b.xyg and output an ASCII table, try

blockmode hawaii_b.xyg -R198/208/18/25 -I5m -bi3 > hawaii_5x5.xyg

SEE ALSO
blockmean(1gmt), blockmedian(1gmt), gmt(1gmt), gmtdefaults(1gmt), nearneighbor(1gmt), surface(1gmt), triangulate(1gmt)